org.jboss.jca.as.converters

## Interface LocalTxDataSource

- All Superinterfaces:
    ConnectionFactory, DataSource, NoTxDataSource
  All Known Implementing Classes:
    LegacyTxDataSourceImpl

      public interface LocalTxDataSource
      extends NoTxDataSource

  Common DataSource
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `LocalTxDataSource.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.common.api.metadata.ds.TransactionIsolation` | `getTransactionIsolation()` Get the transactionIsolation.
    `boolean` | `isNoTxSeparatePools()` isNoTxSeparatePools

    - ### Methods inherited from interface org.jboss.jca.as.converters.NoTxDataSource

      `getConnectionProperties, getConnectionUrl, getDriverClass`

    - ### Methods inherited from interface org.jboss.jca.as.converters.DataSource

      `getCheckValidConnectionSql, getExceptionSorter, getNewConnectionSql, getPassword, getPreparedStatementsCacheSize, getQueryTimeout, getStaleConnectionChecker, getTrackStatements, getUrlDelimiter, getUrlSelectorStrategyClassName, getUserName, getUseTryLock, getValidConnectionChecker, isSetTxQueryTimeout, isSharePreparedStatements, isUseJavaContext, isValidateOnMatch`

    - ### Methods inherited from interface org.jboss.jca.as.converters.ConnectionFactory

      `getAllocationRetry, getAllocationRetryWaitMillis, getBackgroundValidationMillis, getBlockingTimeoutMillis, getIdleTimeoutMinutes, getJndiName, getMaxPoolSize, getMinPoolSize, getSecurityDomain, isBackgroundValidation, isPrefill, isUseFastFail`

- - ### Method Detail

    - #### getTransactionIsolation

          org.jboss.jca.common.api.metadata.ds.TransactionIsolation getTransactionIsolation()

      Get the transactionIsolation.
      Returns:
        the transactionIsolation.

    - #### isNoTxSeparatePools

          boolean isNoTxSeparatePools()

      isNoTxSeparatePools
      Returns:
        nTxSeparatePools

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)